## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# what it's called on pypi
%global srcname m2r
# what it's imported as
%global libname m2r


%global common_description %{expand:
M2R converts a markdown file including reST markups to a valid reST format.}

%bcond_without  check

Name:           python-%{srcname}
Version:        0.3.1
Release:        %autorelease
Summary:        Markdown to reStructuredText converter

License:        MIT
URL:            https://github.com/miyakogi/%{srcname}
Source0:        %{pypi_source %{srcname}}

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python3-devel

%if %{with check}
BuildRequires:  python3-pygments
BuildRequires:  python3-pytest
%endif


%description
%{desc}


%package -n python3-%{srcname}
Summary:        %{summary}


%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}

# Remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' m2r.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{libname}


%if %{with check}
%check
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/m2r


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.3.1-8
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Nikola Forró <nforro@redhat.com> - 0.3.1-4
- Remove unused patch

* Wed Jul 12 2023 Python Maint <python-maint@redhat.com> - 0.3.1-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Nov 17 2022 Nikola Forró <nforro@redhat.com> - 0.3.1-1
- Update to 0.3.1 - resolves: #2143559

* Fri Nov 11 2022 Nikola Forró <nforro@redhat.com> - 0.2.1-13.20190604git66f4a5a
- Backport compatibility fixes for docutils, mistune, argparse

* Thu Oct 13 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.2.1-12.20190604git66f4a5a
- Lock mistune version (backporting PR #43)

* Wed Aug 03 2022 Nikola Forró <nforro@redhat.com> - 0.2.1-11.20190604git66f4a5a
- Fix FTBFS with Sphinx 5.0 - resolves: #2113634

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-10.20190604git66f4a5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.1-9.20190604git66f4a5a
- Convert to new Python guidelines

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.2.1-7.20190604git66f4a5a
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-6.20190604git66f4a5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-5.20190604git66f4a5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.1-4.20190604git66f4a5a
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3.20190604git66f4a5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 08 2021 Nikola Forró <nforro@redhat.com> - 0.2.1-2.20190604git66f4a5a
- Fix test_no_file
  resolves: #1914270

* Wed Nov 25 2020 Nikola Forró <nforro@redhat.com> - 0.2.1-1.20190604git66f4a5a
- Update to the latest upstream commit

* Fri Aug 21 2020 Nikola Forró <nforro@redhat.com> - 0.2.0-12
- Explicitly build-require setuptools

* Thu Aug 20 2020 Nikola Forró <nforro@redhat.com> - 0.2.0-11
- Use reST literal block for Sphinx code block
  resolves: #1870105

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 24 2020 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-9
- Rebuilt for Python 3.9

* Tue Apr 14 2020 Nikola Forró <nforro@redhat.com> - 0.2.0-8
- Fix Sphinx 3 compatibility
  resolves: #1823514

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Nov 07 2019 Nikola Forró <nforro@redhat.com> - 0.2.0-6
- Remove Python 2 subpackage
  resolves: #1769838

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Sat Aug 17 2019 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Aug 15 2018 Nikola Forró <nforro@redhat.com> - 0.2.0-1
- Update to 0.2.0
  resolves: #1615361

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 04 2018 Nikola Forró <nforro@redhat.com> - 0.1.15-1
- Update to 0.1.15
  resolves: #1597056

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1.14-2
- Rebuilt for Python 3.7

* Thu Mar 22 2018 Nikola Forró <nforro@redhat.com> - 0.1.14-1
- Update to 0.1.14
  resolves: #1559372

* Wed Feb 14 2018 Nikola Forró <nforro@redhat.com> - 0.1.13-1
- Update to 0.1.13
  resolves: #1545220

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Dec 06 2017 Nikola Forró <nforro@redhat.com> - 0.1.12-2
- Use more descriptive source tarball name
- Fix python2 dependency names

* Wed Sep 13 2017 Nikola Forró <nforro@redhat.com> - 0.1.12-1
- Update to 0.1.12
  resolves: #1490365

* Wed Aug 30 2017 Nikola Forró <nforro@redhat.com> - 0.1.11-1
- Update to 0.1.11
  resolves: #1486504

* Fri Aug 25 2017 Nikola Forró <nforro@redhat.com> - 0.1.10-2
- Add missing dist tag

* Tue Aug 15 2017 Nikola Forró <nforro@redhat.com> - 0.1.10-1
- Update to 0.1.10
- Switch to release versioning
  resolves: #1480575

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-2.git8e4ce37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 20 2017 Nikola Forró <nforro@redhat.com> - 0.1.7-1.git8e4ce37
- Update to 0.1.7
  resolves: #1473289

* Wed May 31 2017 Nikola Forró <nforro@redhat.com> - 0.1.6-1.git871d579
- Update to 0.1.6
  resolves: #1457165

* Wed May 17 2017 Nikola Forró <nforro@redhat.com> - 0.1.5-2.git539a079
- Make image_link regex non-greedy

* Tue May 16 2017 Nikola Forró <nforro@redhat.com> - 0.1.5-1.git539a079
- Initial package

## END: Generated by rpmautospec
